/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kmailIface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KMAILIFACE_STUB__
#define __KMAILIFACE_STUB__

#include <dcopstub.h>
#include <tqstringlist.h>
#include <kurl.h>
#include <dcopref.h>
#include <dcopobject.h>


class KMailIface_stub : virtual public DCOPStub
{
public:
    KMailIface_stub( const TQCString& app, const TQCString& id );
    KMailIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit KMailIface_stub( const DCOPRef& ref );
    virtual void checkMail();
    virtual TQStringList accounts();
    virtual void checkAccount( const TQString& account );
    virtual void openReader();
    virtual int openComposer( const TQString& to, const TQString& cc, const TQString& bcc, const TQString& subject, const TQString& body, int hidden, const KURL& messageFile );
    virtual int openComposer( const TQString& to, const TQString& cc, const TQString& bcc, const TQString& subject, const TQString& body, int hidden, const KURL& messageFile, const KURL& attachURL );
    virtual int openComposer( const TQString& to, const TQString& cc, const TQString& bcc, const TQString& subject, const TQString& body, int hidden, const KURL& messageFile, const KURL::List& attachURLs );
    virtual int openComposer( const TQString& to, const TQString& cc, const TQString& bcc, const TQString& subject, const TQString& body, int hidden, const TQString& attachName, const TQCString& attachCte, const TQCString& attachData, const TQCString& attachType, const TQCString& attachSubType, const TQCString& attachParamAttr, const TQString& attachParamValue, const TQCString& attachContDisp );
    virtual int openComposer( const TQString& to, const TQString& cc, const TQString& bcc, const TQString& subject, const TQString& body, int hidden, const TQString& attachName, const TQCString& attachCte, const TQCString& attachData, const TQCString& attachType, const TQCString& attachSubType, const TQCString& attachParamAttr, const TQString& attachParamValue, const TQCString& attachContDisp, const TQCString& attachCharset );
    virtual int openComposer( const TQString& to, const TQString& cc, const TQString& bcc, const TQString& subject, const TQString& body, int hidden, const TQString& attachName, const TQCString& attachCte, const TQCString& attachData, const TQCString& attachType, const TQCString& attachSubType, const TQCString& attachParamAttr, const TQString& attachParamValue, const TQCString& attachContDisp, const TQCString& attachCharset, uint identity );
    virtual DCOPRef openComposer( const TQString& to, const TQString& cc, const TQString& bcc, const TQString& subject, const TQString& body, bool hidden );
    virtual int sendCertificate( const TQString& to, const TQByteArray& certData );
    virtual void compactAllFolders();
    virtual int dcopAddMessage( const TQString& foldername, const TQString& messagefile, const TQString& MsgStatusFlags );
    virtual int dcopAddMessage( const TQString& foldername, const KURL& messagefile, const TQString& MsgStatusFlags );
    virtual void showImportArchiveDialog();
    virtual TQStringList folderList();
    virtual DCOPRef getFolder( const TQString& vpath );
    virtual void selectFolder( TQString folder );
    virtual bool canQueryClose();
    virtual void setDefaultTransport( const TQString& transport );
    virtual int timeOfLastMessageCountChange();
    virtual void pauseBackgroundJobs();
    virtual void resumeBackgroundJobs();
    virtual void stopNetworkJobs();
    virtual void resumeNetworkJobs();
    virtual DCOPRef newMessage( const TQString& to, const TQString& cc, const TQString& bcc, bool hidden, bool useFolderId, const KURL& messageFile, const KURL& attachURL );
    virtual bool showMail( TQ_UINT32 serialNumber, TQString messageId );
    virtual bool handleCommandLine( bool noArgsOpensReader );
    virtual bool firstStart();
    virtual TQString getFrom( TQ_UINT32 serialNumber );
    virtual TQString debugScheduler();
    virtual TQString debugSernum( TQ_UINT32 serialNumber );
    virtual int dcopAddMessage_fastImport( const TQString& foldername, const TQString& messagefile, const TQString& MsgStatusFlags );
    virtual int dcopAddMessage_fastImport( const TQString& foldername, const KURL& messagefile, const TQString& MsgStatusFlags );
    virtual void dcopResetAddMessage();
    virtual void loadProfile( const TQString& path );
    virtual void saveToProfile( const TQString& path );
protected:
    KMailIface_stub() : DCOPStub( never_use ) {}
};


#endif
